gnutls_session_get_data2(3)

NAME
gnutls_session_get_data2 - Returns all session parameters.

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_session_get_data2(gnutls_session_t session, gnutls_datum * data);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

gnutls_datum * data

DESCRIPTION
Returns all session parameters, in order to support resuming. The client should call this, and keep the returned session, if he wants to resume that current version later by calling gnutls_session_set_data() This function must be called after a successful handshake. The returned datum must be freed with gnutls_free(). Resuming sessions is really useful and speedups connections after a succesful one.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.